#include <iostream>
#include <iomanip>

#include "global.h"
#include "OSD.h"
#include "RaceExtras.h"
#include "Carrera.h"
#include "Particulas.h"
#include "Menu.h"
#include "MyFont.h"
#include "Loading.h"
#include "Confirm.h"
#include "Jukebox.h"
#include "SelectionWheel.h"
#include "Shader.h"
#include "ChampionshipData.h"
#include "Config.h"
#include "Profile.h"
#include "MyRenderWindow.h"
#include "SlideShow.h"

int main() {


#ifdef __WIN32__
	if (getenv("HOMEDRIVE")) {
		home_dir=getenv("HOMEDRIVE");
		home_dir+=getenv("HOMEPATH");
	}
#else
	if (getenv("HOME")) {
		home_dir=getenv("HOME");
	}
#endif
	if (home_dir.size()&&home_dir[home_dir.size()]!='/'&&home_dir[home_dir.size()]!='\\') home_dir+=SLASH;
	home_dir+=".motogt"; system((string("mkdir \"")+home_dir+"\"").c_str()); home_dir+=SLASH;
	
	config = new Config();
	
	srand(time(NULL));
	
	view=new View();
	loading = new Loading();
	App=new MyRenderWindow();
	
	loading->Draw();
	
//	black=new Black();
//	font = new MyFont();
//	confirm = new Confirm();
//	config->extra_fx=false;
//	confirm->Tell(black,"MotoGT demo video","version 20101003");
//	config->extra_fx=true;
//	loading->Draw();

	profile=NULL;
	championship_data=NULL;
	racers=NULL;
	black=new Black();
	data = new Data();
	music = new Jukebox();
	confirm = new Confirm();
	race_extras = new RaceExtras();
	humo = new ParticulaExp("data/particle/humo.png",config->particles_low);
	tierra = new ParticulaExp("data/particle/tierra.png",config->particles_low);
	marca = new ParticulaFix("data/particle/marca.png",config->particles_hi);
	chispa = new ParticulaMove("data/particle/spark.png",config->particles_low);
	lluvia = new ParticulaRain("data/particle/rain.png",config->particles_hi);
	if (config->shaders_on && sf::PostFX::CanUsePostFX()) shaders=new Shaders();
	sel_weel = new SelectionWheel();
	
	osd = new OSD();
	
	font = new MyFont();

//	App->ShowMouseCursor(false);
//	App->SetFramerateLimit(FPS);

	Menu *menu = new Menu();
	menu->Main();
	delete menu;
	
	delete sel_weel;
	delete config;
	delete data;
	delete confirm;
	delete race_extras;
	delete osd;
	delete tierra;
	delete marca;
	delete humo;
	delete music;
	if (profile) delete profile;
}
